<id>
custom user titles 1.3 sp1.3.1
</id>

<version>
1.3 sp1.3.1
</version>

<mod info>
this mod allows you to add a custom title to any member on your board.

Functions:
Administrator can assign a custom title to members modifying the user profile. 
If no title is assigned it'll be displayed the text in english.lng  $cuttxt{'2'}.
This is a first release..I think that's compatible with almost all mods.
Feel free to contact me for any bugs\suggestions.

Ver.1.3
Fixed the title shown also for guests bug
Ver.1.2
Fixed some IM bugs

Installation instructions:

1) Apply the mod
2) Copy title.pl to your sources directory

How it works:
*1* If you set a custom title the text displayed will be like this:
          Post Status  (es. Junior Member or Administrator, Moderator etc..)
          Custom Title
*2* If you don't set a custom title the text displayed will be like this:
          Text in $cuttxt{'2'}
          Post Status   (es. Junior Member or Administrator, Moderator etc..)
*3* If you don't set a custom title and you want the text to be displayed as usual just set $cuttxt{'2'} = ""; This way you'll see:
          Post Status   (es. Junior Member or Administrator, Moderator etc..)

Hope you'll enjoy that.
</mod info>

<author>
ReHlbe
</author>

<homepage>
http://www.rehlbe.com
</homepage>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	fopen(FILE, "$memberdir/$INFO{'username'}.dat");
	@memsettings=<FILE>;
	fclose(FILE);
</search for>

<add before>
	fopen(FILE, "$memberdir/$INFO{'username'}.title");
	@titlesettings=<FILE>;
	fclose(FILE);
</add before>

<search for>
	<td width="320"><font size=2><b>$txt{'86'}: </b></font></td>
	<td><font size=2><input type=text name=settings6 size=4 value="$memsettings[6]"></font></td>
      </tr><tr>
</search for>

<add before>
	<td width="320"><font size=2><b>$cuttxt{'1'}: </b></font></td>
	<td><font size=2><input type=text name=cutitle size=20 value="$titlesettings[0]"></font></td>
	</tr><tr>
</add before>

<search for>
			unlink("$memberdir/$username.dat");
</search for>

<add before>
			unlink("$memberdir/$username.title");
</add before>

<search for>
			unlink("$memberdir/$member{'username'}.dat");
</search for>

<add before>
			unlink("$memberdir/$member{'username'}.title");
</add before>

<search for>
	if($newpassemail) {
</search for>

<add before>

		if ($settings[7] eq 'Administrator') {
		fopen( FILE, ">$memberdir/$member{'username'}.title");
		print FILE "$member{'cutitle'}";
		fclose(FILE);
                }

</add before>

<search for>
	$yytitle = "$txt{'92'} $INFO{'username'}";
</search for>

<add before>
	fopen(FILE, "$memberdir/$INFO{'username'}.title");
	@titlesettings=<FILE>;
	fclose(FILE);

</add before>

<edit file>
Sources/Display.pl
</edit file>

<search for>
sub Display {
</search for>

<add after>
        require "$sourcedir/Title.pl";
</add after>

<search for>
			$memberinfo = $memberinfo{$musername};
</search for>

<add after>
			$titlesettings = &getTitle($musername);
                        if( $titlesettings eq '' ) {
                                $titlesettings = $cuttxt{'2'};
                        }
</add after>

<search for>
            $memberinfo<br>~;
</search for>

<replace>
~;
	if($musername ne "Guest") {
	if($titlesettings eq $cuttxt{'2'}) {
		$yymain .= qq~
            $titlesettings
            $memberinfo<BR>
~;
	} else {
		$yymain .= qq~
            $memberinfo<BR>
            $titlesettings<BR>
~;
	}
	} else {
		$yymain .= qq~
            $memberinfo<BR>
~;
	}
</replace>

<edit file>
Sources/InstantMessage.pl
</edit file>

<search for>
sub IMIndex {
</search for>

<add after>
        require "$sourcedir/Title.pl";
</add after>

<search for>
			$memberinfo = $memberinfo{$musername};
</search for>

<add after>
			$titlesettings = &getTitle($musername);
                        if( $titlesettings eq '' ) {
                                $titlesettings = $cuttxt{'2'};
                        }
</add after>

<search for>
    <font size="1">$memberinfo<br>
    ~;
</search for>

<replace>
    <font size="1">
~;
	if($musername ne "Guest") {
	if($titlesettings eq $cuttxt{'2'}) {
		$yymain .= qq~
            $titlesettings
            $memberinfo<BR>
~;
	} else {
		$yymain .= qq~
            $memberinfo<BR>
            $titlesettings<BR>
~;
	}
	} else {
		$yymain .= qq~
            $memberinfo<BR>
~;
	}
</replace>

<edit file>
english.lng
</edit file>

<search for>
$txt{'749'} = "The 'number of posts' box can only contain digits.";
</search for>

<add after>

$cuttxt{'1'} = "Custom Title";
$cuttxt{'2'} = "User Status:<br>";
</add after>